Freepbx GUI reporting need to do versionupgrade (13.0.1.1)

Well, you know how the gui tells you when there are new module updates etc.

The GUI is reporting the following:
1 New modules are available
The following new modules are available for download. Click delete icon on the right to remove this notice.
versionupgrade (13.0.1.1)

I hit the resolve button and as expected it takes me to the module upgrade page, but there isn’t anything that looks like version upgrade there. There are two items that I could upgrade except that I can’t:
Bulk Phone RestartStableSangoma Technologies CorporationGPLv3+Not Installed (Available online: 13.0.6) because it conflicts with something so it’s uninstalled -and-
SIPSTATION13.0.13.25StableSangoma Technologies CorporationCommercial Online upgrade available (13.0.14.7) which I can’t install “Missing Requirements:
Core module version 13.0.121 or higher is required, you have 13.0.120.26” and there isn’t a core module update in the list.

FreePBX 13.0.194.2
Current Asterisk Version: 13.17.0

I have exactly the same problem:

Can’t update SIP Station. I get this error:

“Core module version 13.0.121 or higher is required, you have 13.0.120.26”

But there isn’t a core module in the list. I’ve attempted a manual update just in case via SSH but to no avail. Wonder how many other people have run into this one?

Software:

  • PBX Firmware: 10.13.66-22
  • PBX Service Pack: 1.0.0.0
  • Current Asterisk Version: 13.18.3
fwconsole ma --edge upgrade core

Thanks, that worked. Evidently somebody should remove the SIPSTATION module update etc. until the proper core module is released (or something like that). Shouldn’t need to be putting on edge modules.

Well, it’s still saying that I need to put on “versionupgrade (13.0.1.1)”. And hitting revolve still takes me to module admin where there are no updates waiting to be installed. I suppose I could get rid of it my upgrading from v13 to v14 but that seems drastic at this time.

I would try from bash

fwconsole ma download versionupgrade
fwconsole ma install versionupgrade

I guess I need to study up on the “fwconsole ma” commands. I was able to do the download and install, but the message on the Dashboard persists.

The following new modules are available for download. Click delete icon on the right to remove this notice.
versionupgrade (13.0.1.1)

For fun I did click the delete icon and then it came back when I did a screen refresh.

mysql asterisk -e “delete from notifications”

Thanks for you kind help, that seems to have done the trick. I don’t understand why it happened in the first place though.

This topic was automatically closed 365 days after the last reply. New replies are no longer allowed.